Subject: Shimmel's step dad
From: "Jack Berndt" <[email-masked]>
To: "Cuca" <[email-masked]>
Date: Sun, 8 Dec 2013 09:10:26 -0600

Char stopped into Tripp yesterday & brought Jody & I a wedding gift - a basket with a card, two nice wine glasses, & bottle of red wine. Very nice, but gosh.... don't really know her that well & vice versa, so kinda wondering "why?" Any strings, or am I just jaded & skeptical of human nature in my old age...? ;)

Anyway, we had a brief discussion & I mentioned that the '38 SP Centennial DVD was our best selling video. We talked a bit about Shimmel & she mentioned that Shimmel's step dad was a Schumacher & he ran the Du-Drop. I think I got the name right. Does this sound at all familiar? Still wonder where the "Coenen" name comes from?